# $Header: /cvs/stx/stx/libview/Attic/nt.mak,v 1.11 1997-03-05 12:19:37 cg Exp $
# TARGTYPE "Win32 (x86) Console Application" 0x0103

!IF "$(CFG)" == ""
CFG=Win32 Debug
!ENDIF 

!IF "$(CFG)" != "Win32 Release" && "$(CFG)" != "Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "nt.mak" CFG="Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Win32 Release" (based on "Win32 (x86) Console Application")
!MESSAGE "Win32 Debug" (based on "Win32 (x86) Console Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

################################################################################
# Begin Project
# PROP Target_Last_Scanned "Win32 Debug"
CPP=cl.exe
RSC=rc.exe

BINDIR=..\bin
LIBDIR=..\lib

ALL : libview WinWorkstat

libview: $(LIBDIR)\libview.lib $(BINDIR)\libview.dll

WinWorkstat: $(LIBDIR)\WinWorkstat.lib $(BINDIR)\WinWorkstat.dll

xlib: $(LIBDIR)\xlib.lib $(LIBDIR)\xlib.dll

$(LIBDIR) : 
	if not exist $(LIBDIR)/nul mkdir $(LIBDIR)


!IF  "$(CFG)" == "Win32 Debug"

# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 1
# PROP BASE Output_Dir "."
# PROP BASE Intermediate_Dir "."
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 1
# PROP Output_Dir "."
# PROP Intermediate_Dir "."
OUTDIR=.
INTDIR=.

$(OUTDIR) : 
    if not exist $(OUTDIR)/nul mkdir $(OUTDIR)

DEFS=/D"DEBUG" /D"_X86_" /D"WIN32" /D"_CONSOLE"
O=obj

# ADD BASE CPP /nologo /W3 /GX /Zi /YX /Od /D"_X86_" /D"WIN32" /D"DEBUG" /D "_CONSOLE" /FR /c
# ADD CPP /nologo /W3 /GX /Zi /YX /Ob1 /I"\mstools" /I"..\include" /D"DEBUG" /D"_X86_" /D"WIN32" /D "_CONSOLE" /FR /c
# SUBTRACT CPP /WX
CPP_PROJ=/nologo /W3 /GX /Zi /YX /Ob1 /I"\mstools" /I"..\include" $(DEFS) /FR$(INTDIR)/\
 /Fp$(OUTDIR)/"libviewnt.pch" /Fo$(INTDIR)/ /Fd$(OUTDIR)/"libviewnt.pdb" /c 
CPP_OBJS=./
# ADD BASE RSC /l 0x409 /d "DEBUG"
# ADD RSC /l 0x409 /d "DEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo

.\stcnt.bsc : $(OUTDIR)  $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LIBRUN=..\lib\librun.lib

LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386
# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386

LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
 wsock32.lib \
 $(LIBRUN) \
 /NOPACK /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
 /PDB:$(OUTDIR)/"libviewnt.pdb" /DEBUG /MACHINE:I386 /DLL \
 /BASE:15250000 /OUT:"libview.dll" /DEF:nt.def 

DEF_FILE=nt.def
LINK32_OBJS= \
	GraphicsDevice.obj			\
	HostGraphicsDevice.obj			\
	DevWorkst.obj                                 \
	WSensor.obj                                   \
	  SWSensor.obj                                \
	Image.obj                                     \
	  Depth1Image.obj                             \
	  Depth2Image.obj                             \
	  Depth4Image.obj                             \
	  Depth8Image.obj                             \
	  Depth24Image.obj                            \
	ImageRdr.obj                                  \
	    Workstat.obj                        \
	    Color.obj                           \
	    Colormap.obj                        \
	    FontDescr.obj                       \
	      Font.obj                          \
	    Cursor.obj                          \
	    DevHandle.obj                       \
	      DevViewH.obj                      \
	      DevFormH.obj                      \
	    DevColorH.obj                       \
	    GC.obj                              \
	      DevGC.obj                       \
	      GMedium.obj                       \
		  Form.obj                      \
		  DSurface.obj                   \
		    SimpleView.obj              \
		      View.obj                  \
			TopView.obj             \
			  StdSysV.obj           \
			    ModalBox.obj        \
			  PopUpView.obj         \
			ShadowV.obj             \
		      DRootView.obj             \
	    Controll.obj                        \
	    WTrans.obj                          \
	    WEvent.obj                          \
	    WGroup.obj                          \
	    KeybdFwd.obj                        \
	    KeybdMap.obj                        \
	    RsrcPack.obj                        \
	      ViewStyle.obj                     \
	    Depth16Image.obj                    \
	WinWorkstat.obj                         \
	ntLibInit.obj

$(BINDIR)\libview.dll: $(OUTDIR)\libview.dll
	-copy $(OUTDIR)\libview.dll $(BINDIR)\*.*

$(LIBDIR)\libview.lib: $(OUTDIR)\libview.lib
	-copy $(OUTDIR)\libview.lib $(LIBDIR)\*.*

$(BINDIR)\xlib.dll: $(OUTDIR)\xlib.dll
	-copy $(OUTDIR)\xlib.dll $(BINDIR)\*.*

$(LIBDIR)\xlib.lib: $(OUTDIR)\xlib.lib
	-copy $(OUTDIR)\xlib.lib $(LIBDIR)\*.*

$(BINDIR)\WinWorkstat.dll: $(OUTDIR)\WinWorkstat.dll
	-copy $(OUTDIR)\WinWorkstat.dll $(BINDIR)\*.*

$(LIBDIR)\WinWorkstat.lib: $(OUTDIR)\WinWorkstat.lib
	-copy $(OUTDIR)\WinWorkstat.lib $(LIBDIR)\*.*

.\libview.lib : $(OUTDIR) $(DEF_FILE) $(LINK32_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

.\libview.dll : $(OUTDIR)  $(DEF_FILE) $(LINK32_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

xlib.obj:       ..\support\ntxlib\xlib.obj
	-copy ..\support\ntxlib\xlib.obj *.*

LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
 wsock32.lib \
 $(LIBRUN) \
 /NOPACK /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
 /PDB:$(OUTDIR)/"WinWorkstat.pdb" /DEBUG /MACHINE:I386 /DLL \
 /BASE:27000000 /OUT:"WinWorkstat.dll" /DEF:WinWorkstat.def 

.\xlib.lib : $(OUTDIR) $(DEF_FILE) $(XLIB_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

.\xlib.dll : $(OUTDIR)  $(DEF_FILE) $(XLIB_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

.\WinWorkstat.lib : $(OUTDIR) $(DEF_FILE) WinWorkstat.obj 
    -$(LINK32) @<<
  $(LINK32_FLAGS) WinWorkstat.obj 
<<

.\WinWorkstat.dll : $(OUTDIR)  $(DEF_FILE) WinWorkstat.obj  $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) WinWorkstat.obj 
<<

!ENDIF 

.c{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

############################################################################
# Begin Group "src"

STC=..\bin\stc
INCL=-I"\mstools" -I"..\include"
STCFLAGS=-H..\include
DBGFLAGS=-Yd
# FFLAGS=-Fo.

.SUFFIXES: .st .obj

.st.obj:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -c $<

.st.c:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -C $<
    
.c.asm:
    $(CC) $(INCL) $(FFLAGS) $(DEFS) /FA $<

.c.obj:
    $(CC) $(INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) -c $<

# End Source File
############################################################################

# End Group
# End Project
############################################################################
